This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 230729 - have pam_items able to describe device and display unambigously
have pam_items able to describe device and display unambigously
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-02 10:29 EST by Patrice Dumas
Modified: 2008-01-30 10:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 10:55:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2007-03-02 10:29:52 EST
Description of problem:

The is related with #Bug 228110.

The PAM_TTY value is so overloaded that it has lost lots of
its meaning. Besides having device and display in PAM_TTY
means that only one of those two items may be given.

So I think it would make sense to propose to upstream
to add 2 new items:
PAM_DEVICE the device file associated with the service,
  typically empty for network services like ssh or ftp
PAM_DISPLAY a display string describing the display. 
  May be set by network services that sets a virtual display,
  will be empty for typical login.

Version-Release number of selected component (if applicable):

pam-0.99.7.1-3

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tomas Mraz 2008-01-30 10:55:00 EST
The proposal for this new PAM_REAL_TTY was rejected upstream.

Note You need to log in before you can comment on or make changes to this bug.